Subject: Re: bug#30097: [core-updates] nspr 4.17 not reproducible

From: Gábor Boskovits <[email-masked]>
Date: Sun, 14 Jan 2018 21:24:17 +0100

2018-01-14 20:51 GMT+01:00 Marius Bakke <[email-masked]>:

> Gábor Boskovits <[email-masked]> writes:
>
> > 2018-01-14 19:28 GMT+01:00 Marius Bakke <[email-masked]>:
> >
> >> Gábor Boskovits <[email-masked]> writes:
> >>
> >> > nspr 4.17 is not reproducible.
> >> > Diffoscope output attached.
> >>
> >> Thanks for the report!
> >>
> >> The attached patch should solve it.  Since there are quite a few
> >> dependent packages, I'd like to push this to a new 'staging' branch that
> >> will be started shortly after the core-updates merge.  WDYT?
> >>
> >> Yes, it should go to a branch.
> >
> > I also don't know if this fixes the difference also, where an additional
> ;
> > is present...
> > Could you check this, or should I run a test with the patch?
> > It seems like a 2 byte difference.
>
> It passes `guix build --rounds=2`, so I'm not sure what was up with that
> ";".
>

Most probably it is some kind of checksum which includes the timestamp.
If it passes "guix build --rounds=2" it should be fine.
Thanks for the clarification.